## argeo-freed 2.3.9

=== Makefile ===
include sdk.mk

# GNU CODING STANDARDS
prefix ?= /usr/local
exec_prefix ?= $(prefix)
bindir ?= $(exec_prefix)/bin
sbindir ?= $(exec_prefix)/sbin
libdir ?= $(exec_prefix)/lib
libexecdir ?= $(exec_prefix)/libexec
sysconfdir ?= $(prefix)/etc
srcdir ?= $(prefix)/src
datarootdir ?= $(prefix)/share

# UTILITIES
# Install to a target directory without executable bit
INSTALL=install -m644 -D --target-directory
# Always try copy-on-write
COPY=cp --reflink=auto

BUILD_BASE ?= $(SDK_BUILD_BASE)/$(shell basename $(SDK_SRC_BASE))

all:
	mkdir -p $(BUILD_BASE)$(sysconfdir) $(BUILD_BASE)$(bindir) $(BUILD_BASE)$(sbindir) $(BUILD_BASE)$(libdir) $(BUILD_BASE)$(libexecdir) $(BUILD_BASE)$(datarootdir)
	$(COPY) -r etc/* $(BUILD_BASE)$(sysconfdir)
	$(COPY) -r bin/* $(BUILD_BASE)$(bindir)
	$(COPY) -r sbin/* $(BUILD_BASE)$(sbindir)
	$(COPY) -r lib/* $(BUILD_BASE)$(libdir)
	$(COPY) -r libexec/* $(BUILD_BASE)$(libexecdir)
	$(COPY) -r share/* $(BUILD_BASE)$(datarootdir)
	sed -i 's|/usr/local/etc|$(sysconfdir)|g' $(BUILD_BASE)$(libdir)/systemd/*/argeo*.service
	sed -i 's|/usr/local/lib|$(libdir)|g' $(BUILD_BASE)$(libdir)/systemd/*/argeo*.service
	sed -i 's|/usr/local/share|$(datarootdir)|g' $(BUILD_BASE)$(libdir)/systemd/*/argeo*.service
	
	sed -i 's|/usr/local/share|$(datarootdir)|g' $(BUILD_BASE)$(bindir)/*
	sed -i 's|/usr/local/lib|$(libdir)|g' $(BUILD_BASE)$(bindir)/*
	
	sed -i 's|/usr/local/share|$(datarootdir)|g' $(BUILD_BASE)$(sbindir)/*
	sed -i 's|/usr/local/lib|$(libdir)|g' $(BUILD_BASE)$(sbindir)/*

	sed -i 's|/usr/local/share|$(datarootdir)|g' $(BUILD_BASE)$(sysconfdir)/default/*
	sed -i 's|/usr/local/lib|$(libdir)|g' $(BUILD_BASE)$(sysconfdir)/default/*
		
	sed -i 's|/usr/local/lib|$(libdir)|g' $(BUILD_BASE)$(libdir)/sysj/jvm.args

# sbin
#	$(MAKE) -C sjbin all
	sed -i 's|/usr/local/share|$(datarootdir)|g' $(BUILD_BASE)$(sbindir)/*
	sed -i 's|/usr/local/lib|$(libdir)|g' $(BUILD_BASE)$(sbindir)/*

clean:
	$(RM) -r $(BUILD_BASE)
#	$(MAKE) -C sjbin clean

distclean: clean

install:
	mkdir -p $(DESTDIR)$(sysconfdir) $(DESTDIR)$(bindir) $(DESTDIR)$(libdir) $(DESTDIR)$(libexecdir) $(DESTDIR)$(datarootdir)
# TODO use install and wildcard ?
	$(COPY) -v -r --no-clobber $(BUILD_BASE)$(sysconfdir)/* $(DESTDIR)$(sysconfdir)
	$(COPY) -v -r $(BUILD_BASE)$(libdir)/* $(DESTDIR)$(libdir)
	install -m755 -D --target-directory $(DESTDIR)$(bindir) $(BUILD_BASE)$(bindir)/* 
	install -m755 -D --target-directory $(DESTDIR)$(sbindir) $(BUILD_BASE)$(sbindir)/*
	install -m755 -D --target-directory $(DESTDIR)$(libexecdir)/ipsec $(BUILD_BASE)$(libexecdir)/ipsec/*
	$(COPY) -v -r $(BUILD_BASE)$(datarootdir)/* $(DESTDIR)$(datarootdir)
#	systemctl daemon-reload

uninstall:  ## Uninstall FREEd
# TODO fix warning when directory does not exist
	$(foreach f, $(shell cd $(BUILD_BASE)$(bindir) && find . -type f), $(RM) $(DESTDIR)$(bindir)/$(f);)
	$(foreach f, $(shell cd $(BUILD_BASE)$(libdir) && find . -type f), $(RM) $(DESTDIR)$(libdir)/$(f);)
	$(foreach f, $(shell cd $(BUILD_BASE)$(libexecdir) && find . -type f), $(RM) $(DESTDIR)$(libexecdir)/$(f);)
	$(foreach f, $(shell cd $(BUILD_BASE)$(datarootdir) && find . -type f), $(RM) $(DESTDIR)$(datarootdir)/$(f);)
# Remove emtpy directories
# No need to delete $(bindir) subdirectories
	-$(foreach d, $(shell cd $(BUILD_BASE)$(libdir) && find . -mindepth 1 -type d | sort -r), $(RM) -d $(abspath $(DESTDIR)$(libdir)/$(d));)
	-$(foreach d, $(shell cd $(BUILD_BASE)$(libexecdir) && find . -mindepth 1 -type d | sort -r), $(RM) -d $(abspath $(DESTDIR)$(libexecdir)/$(d));)
	-$(foreach d, $(shell cd $(BUILD_BASE)$(datarootdir) && find . -mindepth 1 -type d | sort -r), $(RM) -d $(abspath $(DESTDIR)$(datarootdir)/$(d));)

purge: uninstall	
	$(foreach f, $(shell cd $(BUILD_BASE)$(sysconfdir) && find . -type f), $(RM) $(DESTDIR)$(sysconfdir)/$(f);)
# Remove emtpy directories
	-$(foreach d, $(shell cd $(BUILD_BASE)$(sysconfdir) && find . -mindepth 1 -type d | sort -r), $(RM) -d $(abspath $(DESTDIR)$(sysconfdir)/$(d));)

help:     ## Show this help.
	@sed -ne '/@sed/!s/## //p' $(MAKEFILE_LIST)

=== sjbin/Makefile ===
include ../sdk.mk

# GNU coding standards
prefix ?= /usr/local
exec_prefix ?= $(prefix)
sbindir ?= $(exec_prefix)/sbin
sysconfdir = $(prefix)/etc
srcdir ?= src

EXECUTABLES=$(patsubst %.java,$(BUILD_BASE)/$(sbindir)/freed-%,$(notdir $(wildcard $(srcdir)/*.java)))

BUILD_BASE ?= $(SDK_BUILD_BASE)/$(shell basename $(SDK_SRC_BASE))

all: outputdir $(EXECUTABLES)
#	echo $(patsubst %.java,freed-%,$(notdir $(wildcard $(srcdir)/*.java)))

$(BUILD_BASE)/$(sbindir)/freed-%: $(srcdir)/%.java
	cp $< $@
	sed -i '1!b;s|//#!|#!|' $@
	chmod a+x $@

clean:
	$(RM) $(EXECUTABLES)

outputdir:
	mkdir -p $(BUILD_BASE)/$(sbindir)

install:
# TODO generalise
	install -D -m755 -t $(DESTDIR)$(sbindir)freed-*
	sed -i 's|/usr/local|$(prefix)|' $(DESTDIR)$(sbindir)/*
	sed -i 's|/usr/local|$(prefix)|' $(DESTDIR)$(sysconfdir)/freed/pid1/jvm.args
#	cp -v ../../etc/freed/init/* $(DESTDIR)$(sysconfdir)/freed/init

=== debian/changelog ===
argeo-freed (2.3.9) unstable; urgency=medium

  * Adapt to changes in platform

 -- Mathieu Baudier <mbaudier@argeo.org>  Thu, 06 Nov 2025 18:49:42 +0000

=== debian/control ===
Source: argeo-freed
Section: admin
Priority: optional
Maintainer: Mathieu Baudier <mbaudier@argeo.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: argeo-freed-cms
Architecture: all
Depends: ${misc:Depends}, adduser, argeo-cms
Conflicts: argeo-init
Description: FREEd Argeo CMS services
 Argeo CMS services

Package: argeo-freed-sysj
Architecture: all
Depends: ${misc:Depends}, argeo-freed-cms
Description: FREEd system init
 Argeo system init

Package: argeo-freed-libreswan
Architecture: all
Depends: ${misc:Depends}, libreswan
Description: FREEd extensions to libreswan
 Extensions to libreswan

Package: argeo-freed-roaming-client
Architecture: all
Depends: ${misc:Depends}, argeo-freed-libreswan
Description: FREEd roaming client
 Roaming client

=== debian/rules ===
#!/usr/bin/make -f

%:
	prefix=/usr sysconfdir=/etc datarootdir=/usr/share dh $@

override_dh_auto_clean:
# cannot clean before configuring

#override_dh_auto_configure:
#	# TODO analyse why configure is failing
	
override_dh_missing:
	# Ignore missing files
